%define upstream_name    Dist-Zilla-Plugin-ReportVersions-Tiny
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Reports dependency versions during testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 3.101.390
BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.990.100
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module integrates with the Dist::Zilla manpage to automatically add an
additional test to your released software. Rather than testing features of
the software, this reports the versions of all static module dependencies,
and of Perl, at the time the tests are run.

The value of this is that when someone submits a test failure report you
can see which versions of the modules were installed and, hopefully, be
able to reproduce problems that are dependent on a specific set of module
versions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.120.0-6.mga9
+ Revision: 1803383
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-5.mga8
+ Revision: 1494390
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-4.mga7
+ Revision: 1267559
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-3.mga6
+ Revision: 1026567
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.120.0-2.mga6
+ Revision: 967808
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.120.0-1.mga6
+ Revision: 850302
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 749046
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.100.0-2.mga4
+ Revision: 539106
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 1.100.0-1.mga4
+ Revision: 491439
- update to 1.10

* Sat Jul 27 2013 sander85 <sander85> 1.90.0-1.mga4
+ Revision: 459071
- update to 1.09

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 366414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.80.0-1.mga3
+ Revision: 306085
- update to 1.08

* Wed Sep 26 2012 jquelin <jquelin> 1.60.0-1.mga3
+ Revision: 297972
- update to 1.06

* Fri Aug 31 2012 kharec <kharec> 1.50.0-1.mga3
+ Revision: 286097
- update to 1.05

* Wed Jul 04 2012 jquelin <jquelin> 1.40.0-1.mga3
+ Revision: 267321
- update to 1.04

* Sat Feb 26 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 60210
- update to 1.03

* Wed Jan 26 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 40572
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-ReportVersions-Tiny

